Kodi Community Forum

Full Version: Install kodi on TV Phillips
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Good morning i have a tv Phillips 49pus7909/12. i was using kodi since 2 years. Yesterday I did a a fabric settings to refresh a TV and now I cannot install kodi anymore. It's says that device doesn't support this program any more. I have android AND1E 0101540. How can I install kodi now
The forum language is English only please
Ok im sorry i have a tv Phillips 49pus7909/12. i was using kodi since 2 years. Yesterday I did a a fabric settings to refresh a TV and now I cannot install kodi anymore. It's says that device doesn't support this program any more. I have android AND1E 0101540. How can I install kodi now?
Hi,

A quick google shows that the android version is based on 4.x
It could be that you had kodi 16 running and you may now be trying to install v17, which is only supported on android versions v5 or higher.

Try installing Kodi 16 (Jarvis). Its available in the download section under 'old releases'.

Good luck.